<?php
/*
Simple:Press Forum
Quote handing for posts
$LastChangedDate: 2010-01-05 16:12:49 -0700 (Tue, 05 Jan 2010) $
$Rev: 3207 $
*/

if (preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF']))
{
	die('Access Denied');
}

sf_forum_ahah_support();
# ----------------------------------

global $wpdb, $current_user;

$postid = sf_esc_int($_GET['post']);
$editor = sf_esc_int($_GET['editor']);
$forumid = sf_esc_int($_GET['forumid']);

sf_initialise_globals($forumid);

if(!$current_user->sfreply)
{
	echo (__('Access Denied', "sforum"));
	die();
}

$content = $wpdb->get_var("SELECT post_content FROM ".SFPOSTS." WHERE post_id=".$postid);
$content = sf_filter_content_edit($content, 'edit');
echo $content;

die();

?>